org.apache.xmlbeans.impl.logging

## Class XmlBeansLogManager

- java.lang.Object
- - org.apache.xmlbeans.impl.logging.XmlBeansLogManager

    public final class XmlBeansLogManager
    extends Object

This class is used to get a log4j logger for the XmlBeans project.

Internal use only.

Fails over to a No-Op logger if there are problems creating log4j logger.

Since:
  XmlBeans 5.3.0

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.logging.log4j.Logger` `getLogger(Class<?> clz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLogger

    public static org.apache.logging.log4j.Logger getLogger(Class<?> clz)